Subject: Re: bug#19547: 25.0.50; throw-on-input "fires" when switching workspace

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 11 Dec 2015 11:17:10 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: John Wiegley <[email-masked]>
>> Cc: Michael Heerdegen <[email-masked]>,  [email-masked],  Thierry Volpiatto <[email-masked]>
>> Date: Thu, 10 Dec 2015 15:01:58 -0800
>> 
>> >>>>> Michael Heerdegen <[email-masked]> writes:
>> 
>> > But I think Eli already mentioned that this would not be trivial AFAIR. I
>> > guess Emacs can't clearly decide whether an event is a keyboard event.
>> 
>> What are your thoughts now, Eli?
>
> About what?  About adding SELECTION_REQUEST_EVENT to the list of
> events ignored by while-no-input, or about adding
> while-no-keyboard-input?
>
> For the former, I guess we could try that on master and see if it
> breaks something.

Agree, think it would be a good start.

> I'm much less sure about the latter: why does it make sense to single
> out keyboard events in Emacs?

I am not sure the latter i.e while-no-keyboard-input would help for
helm.

> Yet another possibility would be for Helm to finally get its act
> together

Not sure to understand this sentence, sorry for by bad english.

> and filter the events it doesn't want to handle on the application
> level.

If you provide an API for this yes, otherwise how am I supposed to do
this ?

> I mean, how far should we go on such a low level to support a single
> package?

This issue is not about a single package, but for all code using
while-no-input.

> All it takes for help is to define its own proxy for while-no-input,
> and add a list of events that should not cause that proxy to return.

You mean a list of events usable on lisp ?

-- 
Thierry
https://emacs-helm.github.io/helm/